> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a Conversation Message

> Sends a message from an admin or moderator account to an existing conversation group. If the user is not already a participant, they will be added to the conversation group.



## OpenAPI

````yaml post /conversations/groups/{id}/messages
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /conversations/groups/{id}/messages:
    post:
      summary: Send a Conversation Message
      description: >-
        Sends a message from an admin or moderator account to an existing
        conversation group. If the user is not already a participant, they will
        be added to the conversation group.
      parameters:
        - name: id
          in: path
          required: true
          description: The ID of the conversation group
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                user_id:
                  type: string
                  description: The ID of the admin or moderator sending the message
                message:
                  type: string
                  description: The message content
              required:
                - user_id
                - message
            example:
              user_id: 058696d4-f2c8-472f-8c80-5e2208e9fcb1
              message: Hello, thanks for your message!
      responses:
        '201':
          description: Message sent successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  group_id:
                    type: string
                  user_id:
                    type: string
                  content:
                    type: string
                  created_at:
                    type: string
                    format: date-time
        '422':
          description: Invalid request
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````